Skip to main content
System Management/User Configuration
GETUser ConfigurationSince 0.6SynchronousAuth Required

Query Accounts

Query Accounts

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number, a globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      The root error, the cause of the current error. This field is null if there is no root error

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The account UUID, uniquely identifying this resource

    • nameStringRequired

      Account name

    • descriptionStringRequired

      Detailed description of the account

    • typeStringRequired

      Account type

    • stateStringRequired

      Account state

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/accounts

/zstack/v1/accounts

Operation ID

QueryAccount

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/accounts' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "5c4b1e96b2833c2db31c5d7f175c817d", "name": "test", "type": "Normal" } ] }

Change History

This API has no change history records yet.

View all change history